from pydantic_settings import BaseSettings


class Settings(BaseSettings):
    PAYME_MERCHANT_ID: str
    PAYME_SECRET_KEY: str

    SHOPIFY_ACCESS_TOKEN: str
    SHOPIFY_STORE_URL: str
    SHOPIFY_WEBHOOK_SECRET: str

    DATABASE_URL: str

    class Config:
        env_file = ".env"


settings = Settings()